Bug 895289 - Port memaker's use of PIL to support Pillow for F19
Port memaker's use of PIL to support Pillow for F19
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: memaker (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PILLOW
  Show dependency treegraph
 
Reported: 2013-01-14 19:50 EST by Toshio Ernie Kuratomi
Modified: 2013-01-30 04:13 EST (History)
1 user (show)

See Also:
Fixed In Version: memaker-20100110-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-30 04:13:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to use the form of import of PIL that is pillow compatible (802 bytes, patch)
2013-01-14 19:50 EST, Toshio Ernie Kuratomi
no flags Details | Diff

  None (edit)
Description Toshio Ernie Kuratomi 2013-01-14 19:50:59 EST
Created attachment 678528 [details]
Patch to use the form of import of PIL that is pillow compatible

Description of problem:

Fedora 19 is going to stop shipping python-imaging (PIL) and start shipping python-pillow instead.  Rationale can be found on the feature page: https://fedoraproject.org/wiki/Features/Pillow .  pillow should be compatible with PIL at the code level but the import statement changes slightly.

PIL supports both of these:

import Image

from PIL import Image

Pillow only supports the latter form.

I grepped through the memaker source and found some occurrences of "import Image".  I'll attach a patch that updates these to the new form of import.
Comment 1 Toshio Ernie Kuratomi 2013-01-29 12:14:32 EST
If I don't hear anything back from you, I'll go ahead and use provenpackager powers to apply this patch to the RawHide package next week.  I'll leave sending the patch to upstream up to you, though.
Comment 2 Ankur Sinha (FranciscoD) 2013-01-30 00:35:48 EST
Hi Tushio,

I'll do it today. Apologies for the delay. 

Thanks,
Ankur
Comment 3 Ankur Sinha (FranciscoD) 2013-01-30 01:17:39 EST
Hello,

Commited to SCM. Will build in the next few hours. (Cannot use koji in university for some reason)

Upstream bug filed.

Thanks,
Warm regards,
Ankur
Comment 4 Ankur Sinha (FranciscoD) 2013-01-30 04:13:45 EST
Built for rawhide

http://koji.fedoraproject.org/koji/buildinfo?buildID=381260

Closing.

Note You need to log in before you can comment on or make changes to this bug.